## org.ascape.util
Class ValueSetter

    java.lang.Object
      org.ascape.util.ValueSetter

All Implemented Interfaces:
  DataPoint, HasName

Direct Known Subclasses:
  HistoryValueSetter

    public abstract class ValueSetter

extends java.lang.Object
implements DataPoint

A data point that also serves as a setter for the point's value.

Since:
  1.0.3
Version:
  1.5
Author:
  Miles Parker

Constructor Summary
`ValueSetter()`

Method Summary
`abstract void` `setValue(java.lang.Object object)` Override to set a value for the given object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ascape.util.data.DataPoint
`getName, getValue`

Constructor Detail

### ValueSetter

    public ValueSetter()

Method Detail

### setValue

    public abstract void setValue(java.lang.Object object)

  Override to set a value for the given object.